
%global xsettingsd 1

Name:    kde-gtk-config
Summary: Configure the appearance of GTK apps in KDE
Version: 5.27.10
Release:    1%{?dist}

License: (GPLv2 or GPLv3) and (LGPLv2 or LGPLv3)
URL:     https://invent.kde.org/plasma/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/kde-gtk-config-%{version}.tar.xz



BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel

BuildRequires:  kdecoration-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-knewstuff-devel
BuildRequires:  kf5-karchive-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kguiaddons-devel

BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  gtk3-devel
BuildRequires:  gtk2-devel
BuildRequires:  sassc

Requires:       breeze-gtk-common
Requires:       kde-cli-tools

%if 0%{?xsettingsd}
BuildRequires:  xsettingsd
Recommends:     xsettingsd
%endif

%description
This is a System Settings configuration module for configuring the
appearance of GTK apps in KDE.


%prep
%autosetup -n kde-gtk-config-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install


%files
%license LICENSES/*.txt
%{_libexecdir}/gtk3_preview
%{_libdir}/kconf_update_bin/gtk_theme
%{_libdir}/kconf_update_bin/remove_deprecated_gtk4_option
%{_datadir}/kconf_update/gtkconfig.upd
%{_datadir}/kconf_update/remove_window_decorations_from_gtk_css.sh
%{_qt5_plugindir}/kf5/kded/gtkconfig.so
%{_libdir}/gtk-3.0/modules/libcolorreload-gtk-module.so
%{_libdir}/gtk-3.0/modules/libwindow-decorations-gtk-module.so
%{_datadir}/themes/Breeze/window_decorations.css
%{_datadir}/kcm-gtk-module/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
